#! /usr/bin/env python
# -*- coding: iso-8859-1 -*-
#
# examples.py
#
#
# (c) 2003, 2004, 2005 - Raphael.Marvie@lifl.fr
#

"""
Regroupe des dfinitions de fonctions et de classes relatives au
support `Initiation a python par l'exemple'.
"""

__author__  = 'Raphael.Marvie@lifl.fr' 
__version__ = '0.1.0'
__date__    = 'Sun Feb 27 11:40:50 CET 2005'

def fib (n):
    '''Calcul la suite de Fibonacci jusque n'''
    a, b = 0, 1
    while b < n:
        print b,
        a, b = b, a + b

def welcome (name, greeting='Hello', mark='!'):
    '''Un hello world configurable'''
    print greeting, name, mark

class Compteur:
    def __init__ (self, v = 0):
        self.val = v
    def value (self):
        return self.val

class Conflict:
    '''Illustration de conflit attribut / methode'''
    def __init__ (self):
        self.name = 'Conflict'
    def name (self):
        return 'You will never get this string!'

if __name__ == '__main__':
    welcome ('world')
    welcome ('monde', 'Bonjour')
    welcome ('world', mark='...')
    fib (100)
